# 2022-073

**ICAAT**

**Main objective :**
```
Design and develop a Linux based application,
with an embedded system product as a cognitive ability assessment tool
to measure and evaluate Knowledge IQ, Reasoning IQ, Mental Chronometry (processing speed) and Attention Span
of Sri Lankan Sinhala children between ages 7 to 9 years.
```

**Main research question :**

```
A comprehensive cognitive examination of children is not conducted in Sri Lanka. 
One cause for that is the lack of a culturally appropriate tool that can be used in the local languages. 
The high commercial expenses associated with globally recognized cognitive assessment tools is the second factor. 
So, Sri Lanka needs to develop an automated and validated instrument to measure the construct understudy. 
```


**Individual research question :**

1. IT19105208 - Kahawanugoda M.A.I.
1. IT19105826 - Meegoda M.N.D.
1. IT19170480 - Monarawila C.H.M.R.P.K.
1. IT19091044 - Gnanarathna E.D.K.V.


**Individual Objectives :**

1. IT19105208 - Kahawanugoda M.A.I.

Design and develop machine learning models that involve automatic speech recognition and contextual analysis to get Sri Lankan Sinhala speaking children’s verbal responses for a pre-defined set of questions to calculate their Reasoning IQ capabilities.

* Develop a speech recognition model for children between age seven and nine to identify their verbal responses for specified set of questions
* Develop Contextual analysis system to analyze ASR output


2. IT19105826 - Meegoda M.N.D

Design and develop an appearance-based methodology with a multimodal convolutional neural network to evaluate the attention span with eye gaze estimation and head pose estimation

* Implement a real-time face identification method to recognize face and locate facial landmarks to categorize the facial features.
* Identify the eye gaze direction of the child when interacting with the assessment tasks by developing an eye gaze estimation model.
* Develop a head pose estimation model to identify the head pose of the child.
* Develop an algorithm to predict the attention scores base on the gaze estimation and head pose estimation models and derive average attention scores.


3. IT19170480 - Monarawila C.H.M.R.P.K

Design and develop a model which involves automatically drawn shapes and Sinhala digit recognition and analyzing with measuring completion time of each activity to analyze Sri Lankan aged 7-9 children's responses to scale their mental chronometry (processing speed) IQ capabilities.

* Classify Sinhala hand-written letters from children
* Classify hand-drawn shapes from children
* Classify shapes/symbols inside selected areas

4. IT19091044 - Gnanarathna E.D.K.V

Design and develop machine learning models that involve Automatic speech recognition with Pattern Matching of Transcripts and Error Analysis of verbal response, to assess and identify a detailed overview of Knowledge IQ of Sinhala speaking Sri Lankan Children between the ages 7-9.

* Develop a deep learning model for speech recognition of a Limited sinhala vocabulary in children.
* Develop a transcript matching algorithm to evaluate correct responses.

**Other necessary information :**

* Target group: age 7-9 years Sinhala speaking Sri-Lankan children.
* Product: Linux based embeded system product

