import React, { useState, useEffect } from "react";
import "./ActivityContainer.css";
import { PictureConcept, Arithmetic, ColourNumbers, DigitSpan } from "../index";

const ActivityContainer = () => {
  const [currentActivityNo, setCurrentActivityNo] = useState(1);

  const nextActivityHandler = () => {
    setCurrentActivityNo(currentActivityNo + 1);
  };

  return (
    <div className="activity-container-angry-grid">
      <div id="activity-container-item-0">
        <div
          className="activity-container-navigator-item"
          onClick={() => {
            setCurrentActivityNo(1);
          }}
        >
          Picture Concept
        </div>
        <div
          className="activity-container-navigator-item"
          onClick={() => {
            setCurrentActivityNo(2);
          }}
        >
          Arithmetic
        </div>
        <div
          className="activity-container-navigator-item"
          onClick={() => {
            setCurrentActivityNo(3);
          }}
        >
          Colour Numbers
        </div>
        <div
          className="activity-container-navigator-item"
          onClick={() => {
            setCurrentActivityNo(4);
          }}
        >
          Digit Span
        </div>
      </div>
      <div id="activity-container-item-1">
        {currentActivityNo === 1 && (
          <PictureConcept nextActivity={nextActivityHandler} />
        )}
        {currentActivityNo === 2 && (
          <Arithmetic nextActivity={nextActivityHandler} />
        )}
        {currentActivityNo === 3 && (
          <ColourNumbers nextActivity={nextActivityHandler} />
        )}
        {currentActivityNo === 4 && (
          <DigitSpan nextActivity={nextActivityHandler} />
        )}
      </div>
    </div>
  );
};

export default ActivityContainer;
