import React from "react";
import Grid from '@mui/material/Grid';
import Paper from '@mui/material/Paper';
import Box from '@mui/material/Box';
import "./ColourNumbers.css";
import { lightBlue, yellow } from '@mui/material/colors';
import { createTheme, ThemeProvider, styled } from '@mui/material/styles';

const Item = styled(Paper)(({ theme }) => ({
    textAlign: 'center',
    color: theme.palette.text.primary,
    height: 60,
    lineHeight: '60px',
    textDecorationColor: "black",
    fontWeight: 'Bold'
  }));


const ColourNumbers = ({ nextActivity }) => {
  return (
    <div className="new">
      <Grid container>
        <Grid item xs={16} >
            <Box
              sx={{
                p: 2,
                bgcolor: 'background.default',
                display: 'grid',
                gridTemplateColumns: { md: '1fr 1fr 1fr 1fr 1fr' },
                gap: 6,
              }}
            >
              {[0, 1, 2, 3, 4, 5, 6, 7, 8, 9].map((value) => (
                <Item key={value} 
                elevation={24}
                sx={value % 2 ? {bgcolor: lightBlue[900]} : {bgcolor: yellow[500]}}>
                  {`${value}`}
                </Item>
              ))}
            </Box>
        </Grid>
    </Grid>
    </div>
  );
};

export default ColourNumbers;